| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
cv::cuda::ORB Class Referenceabstract
CUDA-accelerated Computer Vision » Feature Detection and Description

Class implementing the ORB (oriented BRIEF) keypoint detector and descriptor extractor. More...

`#include <opencv2/cudafeatures2d.hpp>`

Collaboration diagram for cv::cuda::ORB:

## Public Member Functions
virtual bool | getBlurForDescriptor () const =0
virtual int | getEdgeThreshold () const =0
virtual int | getFastThreshold () const =0
virtual int | getFirstLevel () const =0
virtual int | getMaxFeatures () const =0
virtual int | getNLevels () const =0
virtual int | getPatchSize () const =0
virtual double | getScaleFactor () const =0
virtual int | getScoreType () const =0
virtual int | getWTA_K () const =0
virtual void | setBlurForDescriptor (bool blurForDescriptor)=0
| if true, image will be blurred before descriptors calculation
virtual void | setEdgeThreshold (int edgeThreshold)=0
virtual void | setFastThreshold (int fastThreshold)=0
virtual void | setFirstLevel (int firstLevel)=0
virtual void | setMaxFeatures (int maxFeatures)=0
virtual void | setNLevels (int nlevels)=0
virtual void | setPatchSize (int patchSize)=0
virtual void | setScaleFactor (double scaleFactor)=0
virtual void | setScoreType (int scoreType)=0
virtual void | setWTA_K (int wta_k)=0
Public Member Functions inherited from cv::cuda::Feature2DAsync
virtual | ~Feature2DAsync ()
virtual void | computeAsync (InputArray image, OutputArray keypoints, OutputArray descriptors, Stream &stream=Stream::Null())
| Computes the descriptors for a set of keypoints detected in an image.
virtual void | convert (InputArray gpu_keypoints, std::vector< KeyPoint > &keypoints)=0
virtual void | detectAndComputeAsync (InputArray image, InputArray mask, OutputArray keypoints, OutputArray descriptors, bool useProvidedKeypoints=false, Stream &stream=Stream::Null())
virtual void | detectAsync (InputArray image, OutputArray keypoints, InputArray mask=noArray(), Stream &stream=Stream::Null())
| Detects keypoints in an image.
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant).
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant).
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty.
virtual String | getDefaultName () const CV_OVERRIDE
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage.
void | read (const String &fileName)
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual void | save (const String &filename) const
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< cuda::ORB > | create (int nfeatures=500, float scaleFactor=1.2f, int nlevels=8, int edgeThreshold=31, int firstLevel=0, int WTA_K=2, int scoreType=cv::ORB::HARRIS_SCORE, int patchSize=31, int fastThreshold=20, bool blurForDescriptor=false)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Static Public Attributes
static const int | ANGLE_ROW = 3
static const int | OCTAVE_ROW = 4
static const int | RESPONSE_ROW = 2
static const int | ROWS_COUNT = 6
static const int | SIZE_ROW = 5
static const int | X_ROW = 0
static const int | Y_ROW = 1

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the ORB (oriented BRIEF) keypoint detector and descriptor extractor.

See also
  cv::ORB

## Member Function Documentation

## ◆ create()

static Ptr< cuda::ORB > cv::cuda::ORB::create | ( | int | nfeatures = 500,
|  | float | scaleFactor = 1.2f,
|  | int | nlevels = 8,
|  | int | edgeThreshold = 31,
|  | int | firstLevel = 0,
|  | int | WTA_K = 2,
|  | int | scoreType = cv::ORB::HARRIS_SCORE,
|  | int | patchSize = 31,
|  | int | fastThreshold = 20,
|  | bool | blurForDescriptor = false )
| static

## ◆ getBlurForDescriptor()

virtual bool cv::cuda::ORB::getBlurForDescriptor | ( |  | ) | const
| pure virtual

## ◆ getEdgeThreshold()

virtual int cv::cuda::ORB::getEdgeThreshold | ( |  | ) | const
| pure virtual

## ◆ getFastThreshold()

virtual int cv::cuda::ORB::getFastThreshold | ( |  | ) | const
| pure virtual

## ◆ getFirstLevel()

virtual int cv::cuda::ORB::getFirstLevel | ( |  | ) | const
| pure virtual

## ◆ getMaxFeatures()

virtual int cv::cuda::ORB::getMaxFeatures | ( |  | ) | const
| pure virtual

## ◆ getNLevels()

virtual int cv::cuda::ORB::getNLevels | ( |  | ) | const
| pure virtual

## ◆ getPatchSize()

virtual int cv::cuda::ORB::getPatchSize | ( |  | ) | const
| pure virtual

## ◆ getScaleFactor()

virtual double cv::cuda::ORB::getScaleFactor | ( |  | ) | const
| pure virtual

## ◆ getScoreType()

virtual int cv::cuda::ORB::getScoreType | ( |  | ) | const
| pure virtual

## ◆ getWTA_K()

virtual int cv::cuda::ORB::getWTA_K | ( |  | ) | const
| pure virtual

## ◆ setBlurForDescriptor()

virtual void cv::cuda::ORB::setBlurForDescriptor | ( | bool | blurForDescriptor | ) |
| pure virtual

if true, image will be blurred before descriptors calculation

## ◆ setEdgeThreshold()

virtual void cv::cuda::ORB::setEdgeThreshold | ( | int | edgeThreshold | ) |
| pure virtual

## ◆ setFastThreshold()

virtual void cv::cuda::ORB::setFastThreshold | ( | int | fastThreshold | ) |
| pure virtual

## ◆ setFirstLevel()

virtual void cv::cuda::ORB::setFirstLevel | ( | int | firstLevel | ) |
| pure virtual

## ◆ setMaxFeatures()

virtual void cv::cuda::ORB::setMaxFeatures | ( | int | maxFeatures | ) |
| pure virtual

## ◆ setNLevels()

virtual void cv::cuda::ORB::setNLevels | ( | int | nlevels | ) |
| pure virtual

## ◆ setPatchSize()

virtual void cv::cuda::ORB::setPatchSize | ( | int | patchSize | ) |
| pure virtual

## ◆ setScaleFactor()

virtual void cv::cuda::ORB::setScaleFactor | ( | double | scaleFactor | ) |
| pure virtual

## ◆ setScoreType()

virtual void cv::cuda::ORB::setScoreType | ( | int | scoreType | ) |
| pure virtual

## ◆ setWTA_K()

virtual void cv::cuda::ORB::setWTA_K | ( | int | wta_k | ) |
| pure virtual

## Member Data Documentation

## ◆ ANGLE_ROW

const int cv::cuda::ORB::ANGLE_ROW = 3
| static

## ◆ OCTAVE_ROW

const int cv::cuda::ORB::OCTAVE_ROW = 4
| static

## ◆ RESPONSE_ROW

const int cv::cuda::ORB::RESPONSE_ROW = 2
| static

## ◆ ROWS_COUNT

const int cv::cuda::ORB::ROWS_COUNT = 6
| static

## ◆ SIZE_ROW

const int cv::cuda::ORB::SIZE_ROW = 5
| static

## ◆ X_ROW

const int cv::cuda::ORB::X_ROW = 0
| static

## ◆ Y_ROW

const int cv::cuda::ORB::Y_ROW = 1
| static

The documentation for this class was generated from the following file:

- opencv2/cudafeatures2d.hpp